Set remote access server settings
This endpoint has been deprecated and may be removed in future versions of the API.
Set remote access server settings.
If enabled - panel sends request to remote server and waits for response 10 s. If server doesn't respond during timeout panels takes access control itself. If custom server not specified request will be send to Link.
- Device sends post request with application/json body:
{
"identifier_number": "5a4sd7a5s4d5as3d54asd",
"identifier_type": "card"
}
identifier_type can have three types: 'card', 'input_code' and 'qr'
- Device waits for response with next application/json bodies:
Access not handled. Panel should handle access itself:
{
"handled": false
}Access not granted:
{
"handled": true,
"access": {
"granted": false
}
}Access granted, open first lock:
{
"handled": true,
"access": {
"granted": true,
"lock_number": 1
}
}- where 'lock_number' (lock to open) may take next values:
- 0 - both locks
- 1 - first lock
- 2 - second lock
- also, you can use
GET /access/general/lock/open/remote/accepted/{lock-number}to open specific lock
- where 'lock_number' (lock to open) may take next values:
- application/json
Request Body required
- MOD1
- MOD2
- enabled boolean required
Feature activation
- custom_server_enabled boolean required
If disabled panel will use link server remote control api
- enabled boolean required
Feature activation
- custom_server_enabled boolean required
If disabled panel will use link server remote control api
- custom_server_api_url string required
Custom server api url for sending logs
- 200
- 400
- 401
OK
- Missed json body or wrong param.
Response sample:
"error": "Wrong JSON body" - Required field is not provided.
Response sample:where
"error": "Wrong JSON body: no value for `param`"param- is a required field that was not provided - Field was of the wrong type.
Response sample:where
"error": "Wrong JSON body: value `param` was of the wrong type"param- is a field of the wrong type
- application/json
- Schema
- Example (from schema)
- Base
- Missed param
- Wrong param type
Schema
- error string
Error message
{
"error": true
}
{
"error": "Wrong JSON body"
}
{
"error": "Wrong JSON body: no value for `param`"
}
{
"error": "Wrong JSON body: value `param` was of the wrong type"
}
Unauthorized request. Log In
- application/json
- Schema
- Example (from schema)
- Log In
Schema
- error string
Error message
{
"error": "Log In"
}
{
"error": "Log In"
}